View Issue Details

This bug affects 1 person(s).
 4
IDProjectCategoryView StatusLast Update
17578Bug reportsImport/Exportpublic2021-09-21 09:45
Reporteradamzammit Assigned Toadamzammit  
PrioritynoneSeverityminor 
Status closedResolutionfixed 
Product Version5.x 
Summary17578: PSPP reports warnings when opening SPSS SAV file using Export to SAV
DescriptionPSPP reports some warnings when opening an SPSS SAV file using the export to sav function.

This has been fixed upstream here: https://github.com/adamzammit/ExportSPSSsav

TagsNo tags attached.
Bug heat4
Complete LimeSurvey version number (& build)5.1.0
I will donate to the project if issue is resolvedNo
Browser
Database type & versionMariaDB 10
Server OS (if known)
Webserver software & version (if known)
PHP Version7.4

Users monitoring this issue

User List There are no users monitoring this issue.

Activities

c_schmitz

c_schmitz

2021-09-08 09:55

administrator   ~66391

Hi Adam, since you assigned this to yourself, I assume that you will provide a PR, correct?
adamzammit

adamzammit

2021-09-09 00:33

developer   ~66407

Thanks Carsten - yes please find the PR here:

https://github.com/LimeSurvey/LimeSurvey/pull/2034

Adam
adamzammit

adamzammit

2021-09-09 08:12

developer   ~66408

Fix committed to master branch: http://bugs.limesurvey.org/plugin.php?page=Source/view&id=32681
c_schmitz

c_schmitz

2021-09-09 08:13

administrator   ~66409

Thank you very much!
c_schmitz

c_schmitz

2021-09-21 09:45

administrator   ~66565

New version released

Related Changesets

LimeSurvey: master b44112a5

2021-09-09 08:12:44

adamzammit


Committer: GitHub Details Diff
Fixed issue 17578: PSPP reports warnings when opening SPSS SAV file using Export to SAV (#2034) Affected Issues
17578
mod - application/core/plugins/ExportSPSSsav/SPSSWriter.php Diff File
mod - application/core/plugins/ExportSPSSsav/config.xml Diff File

Issue History

Date Modified Username Field Change
2021-09-08 04:19 adamzammit New Issue
2021-09-08 04:19 adamzammit Status new => assigned
2021-09-08 04:19 adamzammit Assigned To => adamzammit
2021-09-08 09:55 c_schmitz Note Added: 66391
2021-09-08 09:55 c_schmitz Bug heat 0 => 2
2021-09-09 00:33 adamzammit Note Added: 66407
2021-09-09 00:33 adamzammit Bug heat 2 => 4
2021-09-09 08:12 adamzammit Changeset attached => LimeSurvey master b44112a5
2021-09-09 08:12 adamzammit Note Added: 66408
2021-09-09 08:12 adamzammit Resolution open => fixed
2021-09-09 08:13 c_schmitz Note Added: 66409
2021-09-09 08:13 c_schmitz Status assigned => resolved
2021-09-21 09:45 c_schmitz Note Added: 66565
2021-09-21 09:45 c_schmitz Status resolved => closed